public class CertificateAuthorityApi extends Object
| Constructor and Description |
|---|
CertificateAuthorityApi() |
CertificateAuthorityApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
ApiClient |
getApiClient() |
void |
setApiClient(ApiClient apiClient) |
CertificateJson |
sign(String account,
String serviceId,
String csr,
String ttl)
Gets a signed certificate from the configured Certificate Authority service.
|
CertificateJson |
sign(String account,
String serviceId,
String csr,
String ttl,
String accept,
String xRequestId)
Gets a signed certificate from the configured Certificate Authority service.
|
okhttp3.Call |
signAsync(String account,
String serviceId,
String csr,
String ttl,
String accept,
String xRequestId,
ApiCallback<CertificateJson> _callback)
Gets a signed certificate from the configured Certificate Authority service.
|
okhttp3.Call |
signCall(String account,
String serviceId,
String csr,
String ttl,
String accept,
String xRequestId,
ApiCallback _callback)
Build call for sign
|
ApiResponse<CertificateJson> |
signWithHttpInfo(String account,
String serviceId,
String csr,
String ttl)
Gets a signed certificate from the configured Certificate Authority service.
|
ApiResponse<CertificateJson> |
signWithHttpInfo(String account,
String serviceId,
String csr,
String ttl,
String accept,
String xRequestId)
Gets a signed certificate from the configured Certificate Authority service.
|
public CertificateAuthorityApi()
public CertificateAuthorityApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public okhttp3.Call signCall(String account, String serviceId, String csr, String ttl, String accept, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)serviceId - Name of the Certificate Authority service (required)csr - (required)ttl - (required)accept - Setting the Accept header to `application/x-pem-file` allows Conjur to respond with a formatted certificate (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 201 | The response body is the newly signed certificate | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | Either - The authenticated role is not a Host role, - The authenticated Host does not have `sign` privilege for the CA service, or - The authenticated Host ID does not match the of the CSR Common Name (CN). | - |
| 404 | CA Service with the given ID does not exist | - |
public CertificateJson sign(String account, String serviceId, String csr, String ttl, String accept, String xRequestId) throws ApiException
account - Organization account name (required)serviceId - Name of the Certificate Authority service (required)csr - (required)ttl - (required)accept - Setting the Accept header to `application/x-pem-file` allows Conjur to respond with a formatted certificate (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The response body is the newly signed certificate | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | Either - The authenticated role is not a Host role, - The authenticated Host does not have `sign` privilege for the CA service, or - The authenticated Host ID does not match the of the CSR Common Name (CN). | - |
| 404 | CA Service with the given ID does not exist | - |
public CertificateJson sign(String account, String serviceId, String csr, String ttl) throws ApiException
account - Organization account nameserviceId - Name of the Certificate Authority servicecsr - ttl - ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The response body is the newly signed certificate | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | Either - The authenticated role is not a Host role, - The authenticated Host does not have `sign` privilege for the CA service, or - The authenticated Host ID does not match the of the CSR Common Name (CN). | - |
| 404 | CA Service with the given ID does not exist | - |
public ApiResponse<CertificateJson> signWithHttpInfo(String account, String serviceId, String csr, String ttl, String accept, String xRequestId) throws ApiException
account - Organization account name (required)serviceId - Name of the Certificate Authority service (required)csr - (required)ttl - (required)accept - Setting the Accept header to `application/x-pem-file` allows Conjur to respond with a formatted certificate (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The response body is the newly signed certificate | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | Either - The authenticated role is not a Host role, - The authenticated Host does not have `sign` privilege for the CA service, or - The authenticated Host ID does not match the of the CSR Common Name (CN). | - |
| 404 | CA Service with the given ID does not exist | - |
public ApiResponse<CertificateJson> signWithHttpInfo(String account, String serviceId, String csr, String ttl) throws ApiException
account - Organization account nameserviceId - Name of the Certificate Authority servicecsr - ttl - ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | The response body is the newly signed certificate | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | Either - The authenticated role is not a Host role, - The authenticated Host does not have `sign` privilege for the CA service, or - The authenticated Host ID does not match the of the CSR Common Name (CN). | - |
| 404 | CA Service with the given ID does not exist | - |
public okhttp3.Call signAsync(String account, String serviceId, String csr, String ttl, String accept, String xRequestId, ApiCallback<CertificateJson> _callback) throws ApiException
account - Organization account name (required)serviceId - Name of the Certificate Authority service (required)csr - (required)ttl - (required)accept - Setting the Accept header to `application/x-pem-file` allows Conjur to respond with a formatted certificate (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 201 | The response body is the newly signed certificate | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | Either - The authenticated role is not a Host role, - The authenticated Host does not have `sign` privilege for the CA service, or - The authenticated Host ID does not match the of the CSR Common Name (CN). | - |
| 404 | CA Service with the given ID does not exist | - |
Copyright © 2023. All rights reserved.